Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Class AssertionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.eviware.soapui.support.SoapUIException
                  com.eviware.soapui.impl.wsdl.teststeps.assertions.AssertionException

All Implemented Interfaces:
  java.io.Serializable

    public class AssertionException

extends SoapUIException

Exception thrown during assertion

Author:
  Ole.Matzura
See Also:
  Serialized Form

Constructor Summary
`AssertionException(AssertionError error)`
`AssertionException(AssertionError[] errors)`

Method Summary
`AssertionError` | `getErrorAt(int c)`
`int` | `getErrorCount()`
`AssertionError[]` | `getErrors()`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionException

    public AssertionException(AssertionError error)

### AssertionException

    public AssertionException(AssertionError[] errors)

Method Detail

### getErrorCount

    public int getErrorCount()

### getErrorAt

    public AssertionError getErrorAt(int c)

### getErrors

    public AssertionError[] getErrors()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.